Friend Class CtlPopBase


    Private mStart As Integer

    Private mEnd As Integer

    Private mIncrease As Boolean


    Private Sub CtlPopBase_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        mStart = Environment.TickCount
        mEnd = mStart + My.Settings.PopupTimeOut * 1000
        mIncrease = True
        TSize.Enabled = True
    End Sub

    Private Sub TSize_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles TSize.Tick
        Dim lTick As Integer = Environment.TickCount
        If mIncrease Then
            Height = CInt(mHeigth * (Min(mStart + 1000, lTick) - mStart) / 1000)
            If mStart + 1000 < lTick Then mIncrease = False
        ElseIf mEnd <= lTick Then
            Height = CInt(Max(Of Double)(mHeigth * (1 - (Min(mEnd + 1000, lTick) - mEnd) / 1000), 1))
            If mEnd + 1000 <= lTick Then
                Me.Parent.Controls.Remove(Me)
                Dispose()
            End If
        End If
    End Sub


    Protected Overridable ReadOnly Property mHeigth() As Integer
        Get
            Return 30
        End Get
    End Property
End Class
