Friend NotInheritable Class CtlPopLbl

    Public Enum EType
        Ack = 0
        Add
        Rmv
    End Enum

    Protected Overrides ReadOnly Property mHeigth() As Integer
        Get
            Return Lbl.Height
        End Get
    End Property

    Public Sub Init(ByVal pDist As ClsUdp.ClsDistant, ByVal pType As EType)
        Lbl.Text = pDist.ToString
        Select Case pType
            Case EType.Ack
                Lbl.BackColor = Color.FromArgb(255, 255, 0)
            Case EType.Add
                Lbl.BackColor = Color.FromArgb(0, 255, 0)
            Case EType.Rmv
                Lbl.BackColor = Color.FromArgb(255, 0, 0)
        End Select
    End Sub
End Class
